/*
Theme Name: Mim Child Theme
Theme URI: http://wp.regaltheme.com
Author: RegalTheme
Author URI: http://regaltheme.com
Template: mim
Description: This is a child theme for mim.
Version: 1.0
Text Domain: mim-child
*/

/*  [ Add your custom CSS below ]
================================ */

.stickey-top-40 .elementor-shortcode {
    position: sticky;
    top: 10vh;
}


/* cookie consent: ultimate gdpr & ccpa */
#ct-ultimate-gdpr-cookie-modal .ct-ultimate-gdpr-cookie-modal-content {
    max-height: 90vh;
    overflow: auto;
    padding: 10px 10px 0;
    position: relative;
    top: 50%;
    transform: translateY(-50%);
}

#ct-ultimate-gdpr-cookie-modal .ct-ultimate-gdpr-cookie-modal-btn {
    text-align: center;
    margin-top: auto;
    margin-bottom: auto;
    text-transform: uppercase;
    position: sticky;
    bottom: 0;
}

#ct-ultimate-gdpr-cookie-modal .ct-ultimate-gdpr-cookie-modal-btn {
    text-align: center;
    margin-top: auto;
    margin-bottom: auto;
    text-transform: uppercase;
    position: sticky;
    bottom: 0px;
    width: 100%;
    min-height: 80px;
    background: transparent;
}

#ct-ultimate-gdpr-cookie-modal #ct-ultimate-gdpr-cookie-modal-body h3 {
    font-size: 18px !important;
    margin-top: 10px;
    margin-bottom: 20px;
    font-family: inherit;
}

#ct-ultimate-gdpr-cookie-modal .ct-ultimate-gdpr-cookie-modal-desc {
    font-size: 16px;
    font-weight: 400;
    line-height: 1.1;
    margin: 0 auto;
    max-width: 100%;
}

#ct-ultimate-gdpr-cookie-modal .ct-ultimate-gdpr-cookie-modal-single {
    margin: 0;
    padding-bottom: 0;
}

.ct-ultimate-gdpr-cookie-modal-single li label {
    cursor: pointer;
}

#ct-ultimate-gdpr-cookie-modal .ct-ultimate-gdpr-cookie-modal-single ul {
    display: flex;
    padding: 10px 0;
    margin: 0;
    justify-content: center;
    list-style: none;
}

#ct-ultimate-gdpr-cookie-modal .ct-ultimate-gdpr-cookie-modal-single ul li {
    list-style-type: none;
    cursor: pointer;
}

.cookie-modal-open #ct-ultimate-gdpr-cookie-modal ul li,
.cookie-modal-open #ct-ultimate-gdpr-cookie-modal ul li {
    list-style-type: none;
    font-size: 12px;
    margin: 0;
    padding: 0;
    background: transparent;
    border-radius: 0;
    border: none;
}

.cookie-modal-open #ct-ultimate-gdpr-cookie-modal ul.ct-ultimate-gdpr-cookie-modal-slider-able li,
.cookie-modal-open #ct-ultimate-gdpr-cookie-modal ul.ct-ultimate-gdpr-cookie-modal-slider-not-able li {
    padding: 0 0 0 16px;
}

.ct-ultimate-gdpr-cookie-modal-content-single .ct-ultimate-gdpr-cookie-modal-single li.active label,
.ct-ultimate-gdpr-cookie-modal-content-single.ct-ultimate-gdpr-cookie-skin-one .ct-ultimate-gdpr-cookie-modal-single li.active label {
    border: 2px solid #0887b9;
}

.ct-ultimate-gdpr-cookie-modal-content-single .ct-ultimate-gdpr-cookie-modal-single li.active svg,
.ct-ultimate-gdpr-cookie-modal-content-single .ct-ultimate-gdpr-cookie-modal-single li.active svg path,
.ct-ultimate-gdpr-cookie-modal-content-single.ct-ultimate-gdpr-cookie-skin-one .ct-ultimate-gdpr-cookie-modal-single li.active label path {
    fill: #0887b9 !important;
}

.ct-ultimate-gdpr-cookie-modal-content-single .ct-ultimate-gdpr-cookie-modal-single li .ct-svg {
    width: 40px !important;
    height: auto;
    margin: 0 auto;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    position: relative;
}


.cookie-modal-open #ct-ultimate-gdpr-cookie-modal ul,
.cookie-modal-open #ct-ultimate-gdpr-cookie-modal ul {
    margin: 5px 0;
}

.ct-ultimate-gdpr-cookie-modal-content .ct-ultimate-gdpr-cookie-modal-single [type=checkbox] {
    border: none;
    height: 25px;
    width: 50px;
    visibility: visible;
    opacity: 0;
    transition: 0.3s;
    position: absolute;
    top: 0;
    left: 0;
    cursor: pointer;
    margin: 0;
    z-index: 1;
}

.ct-ultimate-gdpr-cookie-modal-content .ct-ultimate-gdpr-cookie-modal-single .input-wrap {
    position: relative;
    width: 50px;
    height: 25px;
    margin: 4px auto 0;
    pointer-events: unset;
}

.ct-ultimate-gdpr-cookie-modal-content .ct-ultimate-gdpr-cookie-modal-single .input-wrap::before {
    content: '';
    background: #fafafa;
    border: 1px solid #cbcbcb;
    width: 48px;
    height: 23px;
    display: block;
    border-radius: 100px;
    position: absolute;
    top: 0;
    left: 0;
    visibility: visible;
    transition: all 0.3s ease-in;
    pointer-events: unset;
}

.ct-ultimate-gdpr-cookie-modal-content .ct-ultimate-gdpr-cookie-modal-single .input-wrap::after {
    content: '';
    background: #cbcbcb;
    border: 1px solid #ababab;
    width: 19px;
    height: 19px;
    display: block;
    border-radius: 10px;
    position: absolute;
    top: 2px;
    left: 3px;
    visibility: visible;
    transition: all 0.3s ease-in;
    pointer-events: unset;
}

.ct-ultimate-gdpr-cookie-modal-content .ct-ultimate-gdpr-cookie-modal-single li.active .input-wrap::before {
    border-color: #0887b9;
}

.ct-ultimate-gdpr-cookie-modal-content .ct-ultimate-gdpr-cookie-modal-single li.active .input-wrap::after {
    border-color: #0887b9;
    background: #0887b9;
    left: 27px;
}

.ct-ultimate-gdpr-cookie-modal-single-wrap__inner--info .ct-ultimate-gdpr-cookie-modal-single__info--desc:not(.open) {
    display: -webkit-box;
    line-clamp: 3;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.ct-ultimate-gdpr-cookie-modal-single-wrap__inner--info {
    height: 95px;
    transition: height 2s ease-in-out;
}

.ct-ultimate-gdpr-cookie-modal-single-wrap__inner--info:has(.open) {
    height: auto;
}

.ct-ultimate-gdpr-cookie-modal-single-wrap__inner--title .title-block {
    cursor: pointer;
    display: flex;
    flex-flow: row nowrap;
    align-content: center;
    justify-content: flex-start;
    align-items: flex-start;
    margin: 20px 0 0;
}

.ct-ultimate-gdpr-cookie-modal-single-wrap__inner--title .title-block.open::after {
    transform: rotate(180deg);
}


.ct-ultimate-gdpr-cookie-modal-content .ct-ultimate-gdpr-cookie-modal-single-wrap__inner--title .title-block h4 {
    line-height: 1;
    margin: 0 5px 0 0;
}

.ct-ultimate-gdpr-cookie-modal-single-wrap__inner--title .title-block::after {
    content: '\f107';
    font-family: "Font Awesome 5 Free";
    font-size: 14px;
    padding: 2px;
    line-height: 1;
    color: #424242;
    font-weight: 600;
}

.ct-ultimate-gdpr-cookie-modal-single-wrap__inner--title .title-block.active::after {
    content: '\e90b';
}

.ct-ultimate-gdpr-cookie-modal-single-wrap {
    position: relative;
}

.ct-ultimate-gdpr-cookie-modal-slider-able,
.ct-ultimate-gdpr-cookie-modal-slider-not-able {
    position: relative;
}

#ct-ultimate-gdpr-cookie-modal .ct-ultimate-gdpr-cookie-modal-btn {
    z-index: 9;
}

.ct-ultimate-gdpr-cookie-modal-single__info--desc:not(.open) .ct-ultimate-gdpr-cookie-modal-slider-able::after,
.ct-ultimate-gdpr-cookie-modal-single__info--desc:not(.open) .ct-ultimate-gdpr-cookie-modal-slider-not-able::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    display: block;
    z-index: 1;
    height: 45px;
    background: rgb(255, 255, 255);
    background: linear-gradient(0deg, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 75%);
}

#ct-ultimate-gdpr-cookie-modal-body .ct-ultimate-gdpr-cookie-modal-btn a,
.ct-ultimate-gdpr-cookie-skin-one #ct-ultimate-gdpr-cookie-modal-body .ct-ultimate-gdpr-cookie-modal-btn a {
    background-color: #ffffff;
    color: #4d4d4d;
    border: 2px solid #4d4d4d;
    border-radius: 6px;
    font-family: inherit !important;
    padding: 10px 20px;
    transition: all .3s ease-in-out;
    border-radius: 6px;
    text-decoration: none;
    left: 50%;
    bottom: 0;
    position: absolute;
    transform: translate(-50%, -50%);
}

#ct-ultimate-gdpr-cookie-modal-body .ct-ultimate-gdpr-cookie-modal-btn a:hover,
.ct-ultimate-gdpr-cookie-skin-one #ct-ultimate-gdpr-cookie-modal-body .ct-ultimate-gdpr-cookie-modal-btn a:hover {
    border: 1px solid #0887b9 !important;
    color: #0887b9 !important;
    text-decoration: none !important;
}

.ct-ultimate-gdpr-trigger-modal-round {
    background-color: transparent !important;
    border: 1px solid #0887b9;
}

.ct-ultimate-gdpr-trigger-modal-round>span {
    color: #0887b9;
}

/* end cookie override */

/* theme styles fallback */
h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'montserrat', sans-serif;
    font-weight: 600;
}

a {
    font-family: 'montserrat', sans-serif;
}


/* theme styles */
body {
    color: #2b2b2b;
}

.name-email input,
.contact-area textarea {
    color: #000000;
}

.mainmenu li a {
    color: #2b2b2b;
}

body p {
    color: #2b2b2b;
}

.footer .left p {
    color: #2b2b2b;
}

.ct-ultimate-gdpr-container.container {
    text-align: center;
    padding: 30px 0;
}

#ct-ultimate-gdpr-policy-accept {
    padding: 8 16px;
}

.ct-ultimate-gdpr-button {
    background-color: #393939;
    color: #f3f3f3;
    border: 0 none;
    border-radius: 5px;
    font-size: 14px;
    height: 1;
    line-height: 50px;
    padding: 0 30px;
    -webkit-transition: all 0.3s ease 0s;
    transition: all 0.3s ease 0s;
}

.onepage-nev.mainmenu-box .menu-list li .menu-click .fa-plus:before {
    color: #fff;
}

/* Header */
.menu-logo img {
    transition: none;
    filter: brightness(0) invert(1);
}

@media only screen and (min-width: 767px) {

    nav ul#menu-main-menu,
    nav ul#menu-main-menu-english,
    nav ul#menu-main-menu-russian {
        float: right;
    }
}